Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter
Class FilterFactory

    java.lang.Object
      org.crosswire.jsword.book.filter.FilterFactory

    public final class FilterFactory

extends Object

A simple container for all the known filters.

Author:
  Joe Walker
See Also:
  `The GNU Lesser General Public License for details.`

Field Summary
`private static Filter` | `deft` The lookup table of filters
`private static Map<String,Filter>` | `filters` The lookup table of filters
`private static org.slf4j.Logger` | `log` The log stream

Constructor Summary
`private` | `FilterFactory()` Prevent instantiation

Method Summary
`static void` | `addFilter(String name, Filter instance)` Add to our list of known filters
`static Filter` | `getDefaultFilter()` Find a filter given a lookup string
`static Filter` | `getFilter(String lookup)` Find a filter given a lookup string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filters

    private static Map<String,Filter> filters

  The lookup table of filters

### log

    private static final org.slf4j.Logger log

  The log stream

### deft

    private static volatile Filter deft

  The lookup table of filters

Constructor Detail

### FilterFactory

    private FilterFactory()

  Prevent instantiation

Method Detail

### getFilter

    public static Filter getFilter(String lookup)

  Find a filter given a lookup string. If lookup is null or the filter is not found then the default filter will be used.

  Parameters:
    `lookup` - the lookup string for the filter
  Returns:
    the matching filter

### getDefaultFilter

    public static Filter getDefaultFilter()

  Find a filter given a lookup string

  Returns:
    the default filter

### addFilter

    public static void addFilter(String name,
                                 Filter instance)

  Add to our list of known filters

  Parameters:
    `name` -
    `instance` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD